<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Wed Sep 10 14:57:27 CEST 2014 -->
<title>Charsetfunctions</title>
<meta name="date" content="2014-09-10">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Charsetfunctions";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Charsetfunctions.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/java_websocket/util/Base64.OutputStream.html" title="class in org.java_websocket.util"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/util/Charsetfunctions.html" target="_top">Frames</a></li>
<li><a href="Charsetfunctions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.java_websocket.util</div>
<h2 title="Class Charsetfunctions" class="title">Class Charsetfunctions</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.java_websocket.util.Charsetfunctions</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">Charsetfunctions</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.nio.charset.CodingErrorAction</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/util/Charsetfunctions.html#codingErrorAction">codingErrorAction</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../org/java_websocket/util/Charsetfunctions.html#Charsetfunctions()">Charsetfunctions</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static byte[]</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/util/Charsetfunctions.html#asciiBytes(java.lang.String)">asciiBytes</a></strong>(java.lang.String&nbsp;s)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/util/Charsetfunctions.html#main(java.lang.String[])">main</a></strong>(java.lang.String[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/util/Charsetfunctions.html#stringAscii(byte[])">stringAscii</a></strong>(byte[]&nbsp;bytes)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/util/Charsetfunctions.html#stringAscii(byte[],%20int,%20int)">stringAscii</a></strong>(byte[]&nbsp;bytes,
           int&nbsp;offset,
           int&nbsp;length)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/util/Charsetfunctions.html#stringUtf8(byte[])">stringUtf8</a></strong>(byte[]&nbsp;bytes)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/util/Charsetfunctions.html#stringUtf8(java.nio.ByteBuffer)">stringUtf8</a></strong>(java.nio.ByteBuffer&nbsp;bytes)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static byte[]</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/util/Charsetfunctions.html#utf8Bytes(java.lang.String)">utf8Bytes</a></strong>(java.lang.String&nbsp;s)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="codingErrorAction">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>codingErrorAction</h4>
<pre>public static&nbsp;java.nio.charset.CodingErrorAction codingErrorAction</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Charsetfunctions()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Charsetfunctions</h4>
<pre>public&nbsp;Charsetfunctions()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="utf8Bytes(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>utf8Bytes</h4>
<pre>public static&nbsp;byte[]&nbsp;utf8Bytes(java.lang.String&nbsp;s)</pre>
</li>
</ul>
<a name="asciiBytes(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asciiBytes</h4>
<pre>public static&nbsp;byte[]&nbsp;asciiBytes(java.lang.String&nbsp;s)</pre>
</li>
</ul>
<a name="stringAscii(byte[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stringAscii</h4>
<pre>public static&nbsp;java.lang.String&nbsp;stringAscii(byte[]&nbsp;bytes)</pre>
</li>
</ul>
<a name="stringAscii(byte[], int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stringAscii</h4>
<pre>public static&nbsp;java.lang.String&nbsp;stringAscii(byte[]&nbsp;bytes,
                           int&nbsp;offset,
                           int&nbsp;length)</pre>
</li>
</ul>
<a name="stringUtf8(byte[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stringUtf8</h4>
<pre>public static&nbsp;java.lang.String&nbsp;stringUtf8(byte[]&nbsp;bytes)
                                   throws <a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></code></dd></dl>
</li>
</ul>
<a name="stringUtf8(java.nio.ByteBuffer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stringUtf8</h4>
<pre>public static&nbsp;java.lang.String&nbsp;stringUtf8(java.nio.ByteBuffer&nbsp;bytes)
                                   throws <a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></code></dd></dl>
</li>
</ul>
<a name="main(java.lang.String[])">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)
                 throws <a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></code></dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Charsetfunctions.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/java_websocket/util/Base64.OutputStream.html" title="class in org.java_websocket.util"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/util/Charsetfunctions.html" target="_top">Frames</a></li>
<li><a href="Charsetfunctions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
